Loading...
Searching...
No Matches
ModBalancerT< D > Class Template Reference
Inheritance diagram for ModBalancerT< D >:
[legend]
Collaboration diagram for ModBalancerT< D >:
[legend]

## Public Types

typedef OpenMesh::Decimater::ModQuadricT< D > | BaseModQ
typedef ModBalancerT< D > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< D > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
typedef size_t | level_t
Public Types inherited from OpenMesh::Decimater::ModQuadricT< D >
typedef ModQuadricT< D > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< D > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
Public Types inherited from OpenMesh::Decimater::ModBaseT< D >
typedef D | Mesh
typedef CollapseInfoT< D > | CollapseInfo
enum |

## Public Member Functions

virtual const std::string & | name () const override
| Set module's name.
| ModBalancerT (D &_dec)
| Constructor.
virtual | ~ModBalancerT ()
| Destructor.
void | initialize (void) override
| Initalize the module and prepare the mesh for decimation.
virtual float | collapse_priority (const CollapseInfo &_ci) override
| Compute collapse priority based on error quadrics.
void | postprocess_collapse (const CollapseInfo &_ci) override
| post-process halfedge collapse (accumulate quadrics)
level_t | max_level (void) const
level_t | bits_for_roots (void) const
Public Member Functions inherited from OpenMesh::Decimater::ModQuadricT< D >
| ModQuadricT (D &_mesh)
| Constructor.
virtual | ~ModQuadricT ()
| Destructor.
void | set_error_tolerance_factor (double _factor) override
| set the percentage of maximum quadric error
void | set_max_err (double _err, bool _binary=true)
| Set maximum quadric error constraint and enable binary mode.
void | unset_max_err (void)
| Unset maximum quadric error constraint and restore non-binary mode.
double | max_err () const
| Return value of max. allowed error.
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< D >
virtual | ~ModBaseT ()
| Virtual desctructor.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual float | collapse_priority (const CollapseInfoT< D > &)
| Return collapse priority.
virtual void | preprocess_collapse (const CollapseInfoT< D > &)
| Before _from_vh has been collapsed into _to_vh, this method will be called.
virtual void | postprocess_collapse (const CollapseInfoT< D > &)
| After _from_vh has been collapsed into _to_vh, this method will be called.

## Static Public Member Functions

static level_t | calc_bits_for_roots (size_t _n_vertices)

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< D >
| ModBaseT (D &_mesh, bool _is_binary)
| Default constructor.
D & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< D >
double | error_tolerance_factor_

## Member Function Documentation

## collapse_priority()

template<class D>

virtual float ModBalancerT< D >::collapse_priority | ( | const CollapseInfo & | _ci | ) |

inline override virtual

Compute collapse priority based on error quadrics.

See also
  ModBaseT::collapse_priority() for return values
  set_max_err()

Reimplemented from OpenMesh::Decimater::ModQuadricT< D >.

## initialize()

template<class D>

void ModBalancerT< D >::initialize | ( | void |  | ) |

inline override virtual

Initalize the module and prepare the mesh for decimation.

Reimplemented from OpenMesh::Decimater::ModQuadricT< D >.

## name()

template<class D>

virtual const std::string & ModBalancerT< D >::name | ( |  | ) | const

inline override virtual

Set module's name.

Reimplemented from OpenMesh::Decimater::ModQuadricT< D >.

## postprocess_collapse()

template<class D>

void ModBalancerT< D >::postprocess_collapse | ( | const CollapseInfo & | _ci | ) |

inline override virtual

post-process halfedge collapse (accumulate quadrics)

Reimplemented from OpenMesh::Decimater::ModQuadricT< D >.

The documentation for this class was generated from the following file:

- OpenMesh/Apps/VDProgMesh/mkbalancedpm/mkbalancedpm.cc